<script lang="ts">
  import type { GroupedEventsByDay } from '$lib/interfaces/schedule';
  import Divider from '$lib/components/ui-elements/Divider.svelte';

  export let events: GroupedEventsByDay;
  const weekday = ['Sun', 'Mon', 'Tues', 'Wed', 'Thurs', 'Fri', 'Sat'];
</script>

<div>
  {#each Object.entries(events) as [key, value], idx (key)}
    <div class="relative pt-5">
      <div class="absolute pl-12 flex justify-start">
        <div class="flex justify-center items-center">
          <div class="text-center">
            <span class="text-md">{value[0].start ? weekday[value[0].start.getDay()] : 'undefined'}</span>
            <p class="text-3xl font-semibold">{key}</p>
          </div>
        </div>
      </div>
      {#each value as evt}
        <div class="grid grid-cols-3 pb-5 pl-20">
          <div>
            {evt.start?.toLocaleTimeString([], { hour: '2-digit', minute: '2-digit', timeZoneName: 'short' })}
          </div>
          <div class="font-bold">{evt.name}</div>
          <div class="uppercase text-sm tracking-wide">
            {evt.event_registration_setting?.region?.name.replace('_', ' ')}
          </div>
        </div>
      {/each}

      <Divider items={Object.keys(events)} {idx} class="ml-60" />
    </div>
  {/each}
</div>
